package intrinsic.flash.display;

public class NativeWindow extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public intrinsic.flash.display.NativeMenu menu;
	public double y;
	public double width;
	public intrinsic.flash.display.Stage stage;
	public double height;
	public String displayState;
	public intrinsic.flash.geom.Rectangle bounds;
	public String title;
	public double x;
	public boolean alwaysInFront;
	public intrinsic.flash.display.NativeWindowIcon icon;
	public boolean active;
	public boolean visible;
	public intrinsic.flash.geom.Point minSize;
	public boolean closed;
	public String systemChrome;
	public String type;
	public boolean transparent;
	public intrinsic.flash.geom.Point maxSize;
	public boolean resizable;
	public boolean minimizable;
	public boolean maximizable;

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static boolean supportsNotification;
	public static boolean hasDropShadowForCustomChrome;
	public static boolean supportsIcon;
	public static intrinsic.flash.geom.Point systemMaxSize;
	public static boolean supportsMenu;
	public static intrinsic.flash.geom.Point systemMinSize;

	/** Class variables */

/** Contructors */
public NativeWindow() {
}

public NativeWindow(intrinsic.flash.display.NativeWindowInitOptions arg0) {
}


/** Static Methods */

/** Methods */
public native boolean orderInBackOf(intrinsic.flash.display.NativeWindow arg0);
public native void minimize();
public native void notifyUser(String arg0);
public native void startResize();
public native void startResize(String arg0);
public native void maximize();
public native boolean orderToBack();
public native boolean orderToFront();
public native boolean orderInFrontOf(intrinsic.flash.display.NativeWindow arg0);
public native void startMove();
public native intrinsic.flash.geom.Point globalToScreen(intrinsic.flash.geom.Point arg0);
public native void activate();
public native void close();
public native void restore();

}
